import type { OutputChunk } from 'rollup';
/**
 * Get content byte size
 */
export declare function getByteSize(content: string | Buffer): number;
/**
 * Generate a 7 chars hash from a filepath
 */
export declare function getHash(filepath: string): string;
export declare function getChunkId(chunk: OutputChunk): string;
type ExcludeFilepathParam = string | RegExp | ((filepath: string) => boolean);
export type ExcludeFilepathOption = ExcludeFilepathParam | Array<ExcludeFilepathParam>;
/**
 * Check if filepath should be excluded based on a config
 */
export declare function checkExcludeFilepath(filepath: string, option?: ExcludeFilepathOption): boolean;
export {};
